body {
  background-color: #e6e6e6;
}

.containerProfile {
  display: flex;
  flex-direction: column;
  border-radius: 12px;
  margin: 130px 22% 0 22%;
  justify-content: left;
  color: var(--cinzaEscuro);
}

.profile {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-left: 2%;
}

.infoProfile {
  margin: 3rem;
}

.infoProfile:hover {
  color: var(--azulClaro);
  transition: 0.4s;
}

.imageProfile {
  text-decoration: none;
}

.imageProfile i {
  background-color: var(--branco);
  border: solid 1px var(--azulEscuro);
  padding: 50%;
  color: var(--cinzaEscuro);
  border-radius: 10px;
  font-size: 30px;
}

.imageProfile i:hover {
  background-color: var(--azulEscuro);
  color: var(--branco);
  transition: 0.4s;
}

.titleBox {
  display: flex;
  flex-direction: row;
  margin: 2% 0 0 2%;
  align-items: center;
}

.titleBox i {
  color: var(--azulEscuro);
  font-size: 18px;
}

.titleBox h4 {
  color: var(--cinzaEscuro);
  margin: 0 0.4rem;
}

.firstBox {
  border-radius: 12px;
  background-color: var(--branco);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  -webkit-box-shadow: 10px 10px 18px -10px rgba(0, 0, 0, 0.43);
  -moz-box-shadow: 10px 10px 18px -10px rgba(0, 0, 0, 0.43);
  box-shadow: 10px 10px 18px -10px rgba(0, 0, 0, 0.43);
}

.secondBox {
  display: flex;
  flex-direction: column;
  border-radius: 12px;
  background-color: var(--branco);
  margin-top: 2%;
  -webkit-box-shadow: 10px 10px 18px -10px rgba(0, 0, 0, 0.43);
  -moz-box-shadow: 10px 10px 18px -10px rgba(0, 0, 0, 0.43);
  box-shadow: 10px 10px 18px -10px rgba(0, 0, 0, 0.43);
}

.ultimoPedido {
  margin: 2% 0 4% 2%;
}

.ultimoPedido h4 {
  margin-top: 2%;
}

.form {
  margin-top: 1%;
  --width-of-input: 98%;
  --border-height: 1px;
  --border-before-color: rgba(221, 221, 221, 0.39);
  --border-after-color: #5891ff;
  --input-hovered-color: #4985e01f;
  position: relative;
  width: var(--width-of-input);
}

.input {
  color: var(--cinzaEscuro);
  font-size: 0.9rem;
  background-color: var(--cinzaLight);
  width: 100%;
  border-radius: 8px;
  box-sizing: border-box;
  padding-inline: 0.5em;
  padding-block: 0.7em;
  border: none;
  border-bottom: var(--border-height) solid var(--border-before-color);
}

.input-border {
  position: absolute;
  background: var(--border-after-color);
  width: 0%;
  height: 2px;
  bottom: 0;
  left: 0;
  transition: 0.3s;
}

input:hover {
  background: var(--input-hovered-color);
}

input:focus {
  outline: none;
}

input:focus ~ .input-border {
  width: 100%;
}

.buttonSave {
    display: block;
    margin: auto;
    align-items: center;
    background-color: var(--azulEscuro);
    color: var(--branco);
    font-size: 16px;
    margin-top: 3%;
    border: none;
    width: 30%;
    justify-content: center;
    border-radius: 8px;
    height: 40px;
    cursor: pointer;
}

.buttonSave:hover {
    background-color: var(--azulClaro);
    transition: 0.4s;
}

@media screen and (max-width: 908px) {
  .containerProfile {
    display: flex;
    flex-direction: column;
    border-radius: 12px;
    margin: 130px 10% 0 10%;
    justify-content: left;
    color: var(--cinzaEscuro);
  }

  .profile {
    display: flex;
    flex-direction: column;
    margin: 2% 0 0 2%;
    align-items: baseline;
    padding: 5%;
  }

  .infoProfile {
    margin: 2%;
  }
  .infoProfile:hover {
    color: var(--azulClaro);
    transition: 0.4s;
  }

  .infoProfile p {
    font-size: 12px;
    margin-top: 10px;
  }

  .imageProfile i {
    background-color: var(--branco);
    border: solid 1px var(--azulEscuro);
    padding: 50%;
    border-radius: 10px;
    font-size: 30px;
  }

  .titleBox {
    display: flex;
    flex-direction: row;
    margin: 5% 0 0 2%;
    align-items: center;
  }

  .firstBox {
    border-radius: 12px;
    background-color: var(--branco);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }

  .config {
    margin-right: 5%;
  }

  .config i {
    cursor: pointer;
    font-size: 28px;
    color: var(--azulEscuro);
  }

  .config i:hover {
    transition: 0.4s;
    color: var(--azulClaro);
  }

  .secondBox {
    display: flex;
    flex-direction: column;
    border-radius: 12px;
    background-color: var(--branco);
    margin-top: 5%;
  }

  .noOrders {
    text-align: center;
    color: var(--cinzaClaro);
    font-weight: 700;
    font-size: 20px;
    padding: 5%;
  }

  .statusPedido {
    margin: 5% 2% 0 0;
    padding-top: 2%;
    border-top: solid 1px var(--cinzaEscuro);
    color: var(--azulEscuro);
  }

  .ultimoPedido {
    text-decoration: none;
    margin: 5% 0 0 5%;
  }

  .productItem {
    width: 95%;
    margin-left: 2.5%;
    height: auto;
    margin-top: 15px;
    display: flex;
    flex-direction: row;
    border-radius: 14px;
    align-items: center;
    padding: 1%;
    margin-bottom: 2%;
    padding-bottom: 2%;
  }

  .infosContainer h3 {
    margin-top: 6px;
    font-family: "Montserrat", sans-serif;
    color: var(--cinzaEscuro);
    font-weight: 800;
    font-size: 14px;
    cursor: pointer;
  }

  .infosContainer h4 {
    font-size: 12px;
  }

  .thirdBox {
    margin-top: 0%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  .thirdBox a {
    text-decoration: none;
    color: var(--cinzaEscuro);
  }

  .box,
  .boxLeave {
    display: flex;
    flex-direction: row;
    background-color: var(--branco);
    align-items: center;
    width: 100%;
    margin-top: 5%;
    justify-content: left;
    padding: 8% 0;
    border-radius: 12px;
    cursor: pointer;
    text-decoration: none;
  }

  .box i,
  .boxLeave i {
    margin-left: 5%;
  }
}
